import { AggregateFilterDTO, FilterDTO, MeasurementDTO, StartPeriodDTO } from './dto';
import { ReadsService } from './reads.service';
export declare abstract class BaseReadsController {
    private readonly readsService;
    constructor(readsService: ReadsService);
    getReads(meterId: string, filter: FilterDTO): Promise<import("./dto").ReadDTO[]>;
    getReadsDifference(meterId: string, filter: FilterDTO): Promise<import("./dto").ReadDTO[]>;
    getReadsAggregates(meterId: string, filter: AggregateFilterDTO): Promise<import("./dto").AggregatedReadDTO[]>;
    getLatestRead(meterId: string, filter: StartPeriodDTO): Promise<import("./dto").ReadDTO>;
    storeReads(meterId: string, measurement: MeasurementDTO): Promise<void>;
}
