"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AggregatedReadDTO = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class AggregatedReadDTO {
}
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        format: 'date-time',
        example: '2020-01-01T00:00:00Z',
        description: 'Measurement start timestamp',
    }),
    __metadata("design:type", Date)
], AggregatedReadDTO.prototype, "start", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        format: 'date-time',
        example: '2020-01-02T00:00:00Z',
        description: 'Measurement stop timestamp',
    }),
    __metadata("design:type", Date)
], AggregatedReadDTO.prototype, "stop", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsPositive)(),
    (0, swagger_1.ApiProperty)({
        type: 'integer',
        example: 10000000,
        description: 'Measurement value in Wh',
    }),
    __metadata("design:type", Number)
], AggregatedReadDTO.prototype, "value", void 0);
exports.AggregatedReadDTO = AggregatedReadDTO;
//# sourceMappingURL=aggregated-read.dto.js.map