"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterDTO = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const range_filter_dto_1 = require("./range-filter.dto");
const DEFAULT_LIMIT = 10000;
const DEFAULT_OFFSET = 0;
class FilterDTO extends range_filter_dto_1.RangeFilterDTO {
    constructor() {
        super(...arguments);
        this.limit = DEFAULT_LIMIT;
        this.offset = DEFAULT_OFFSET;
    }
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Transform)((v) => parseInt(v), { toClassOnly: true }),
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.IsPositive)(),
    (0, class_validator_1.Max)(10000),
    (0, swagger_1.ApiPropertyOptional)({
        type: 'integer',
        default: DEFAULT_LIMIT,
        minimum: 0,
        maximum: 10000,
    }),
    __metadata("design:type", Object)
], FilterDTO.prototype, "limit", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Transform)((v) => parseInt(v), { toClassOnly: true }),
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.Min)(0),
    (0, swagger_1.ApiPropertyOptional)({ type: 'integer', default: DEFAULT_OFFSET, minimum: 0 }),
    __metadata("design:type", Object)
], FilterDTO.prototype, "offset", void 0);
exports.FilterDTO = FilterDTO;
//# sourceMappingURL=filter.dto.js.map