"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeasurementDTO = void 0;
const unit_enum_1 = require("../unit.enum");
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
const swagger_1 = require("@nestjs/swagger");
const _1 = require("./");
class MeasurementDTO {
}
__decorate([
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => _1.ReadDTO),
    (0, swagger_1.ApiProperty)({ type: () => [_1.ReadDTO] }),
    __metadata("design:type", Array)
], MeasurementDTO.prototype, "reads", void 0);
__decorate([
    (0, class_validator_1.IsEnum)(unit_enum_1.Unit),
    (0, swagger_1.ApiProperty)({ enum: unit_enum_1.Unit, enumName: 'Unit' }),
    __metadata("design:type", String)
], MeasurementDTO.prototype, "unit", void 0);
exports.MeasurementDTO = MeasurementDTO;
//# sourceMappingURL=measurement.dto.js.map